{% extends "base.html" %}

{% block css %}
<script src='https://api.mapbox.com/mapbox.js/v3.2.1/mapbox.js'></script>
<link href='https://api.mapbox.com/mapbox.js/v3.2.1/mapbox.css' rel='stylesheet' />
<link rel="stylesheet" href="static/css/index.css">
{% endblock %}

{% block header %}
  <span class="icon-bar"></span>
  <span class="icon-bar"></span>
  <span class="icon-bar"></span>
{% endblock %}
	
{% block header_content %}
<li class="nav-item"><a class="nav-link" href="#Characteristics">Avantages</a></li>
<li class="nav-item"><a class="nav-link" href="#Gallery">Galerie</a></li>
<li class="nav-item"><a class="nav-link" href="#Showroom">Showroom</a></li>
<li class="nav-item"><a class="nav-link" href="#Contact">Contact</a></li>
{% endblock %}

{%block content %}
<!-- characteristics -->
<div id="Characteristics" class="features-container section-container">
  <div class="container">

    <div class="row">
      <div class="col-sm-12 features section-description wow fadeIn">
        <h2>Avantages</h2>
        <div class="divider-1">
          <div class="line"></div>
        </div>
      </div>
    </div>

{% for item in characteristics %}
  {% if loop.index % 2 %}
    <div class="row">
  {% endif %}
      <div class="col-sm-6 features-box wow fadeIn">
        <div class="row">
          <div class="col-sm-3 features-box-icon">
            <img src="static/img/{{ item.image }}.png" alt="{{ item.alt }}" height="50" width="50">
          </div>
          <div class="col-sm-9">
            <h3>{{ item.short_description }}</h3>
            <p>
              {{ item.description }}
            </p>
          </div>
        </div>
      </div>
  {% if not loop.index % 2 %}
    </div>
  {% endif %}
{% endfor %}

  </div>
</div>


<!-- Gallery -->
<div id="Gallery" class="features-container section-container">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 features section-description wow fadeIn">
        <h2>Galerie</h2>
        <div class="divider-1">
          <div class="line"></div>
        </div>
      </div>
    </div>
    <!-- Grid column -->
    <div class="col-md-12 features section-description wow fadeIn">
    {% for keyword in keywords %}
      <button type="button" class="btn-lg btn-outline-black waves-effect filter wow fadeIn" data-rel="{{ keyword.safe_string() }}">{{ keyword.name }}</button>
    {% endfor %}
      <button type="button" class="btn-lg btn-outline-black waves-effect filter wow fadeIn" data-rel="all">Voir tout</button>
      <a href="{{ url_for('projects') }}">
        <button type="button" class="btn-lg btn-outline-black waves-effect wow fadeIn">Découvrir les autres projets</button>
      </a>
    </div>
    <div class="gallery" id="gallery">
    {% for item in gallery %}
      <a>
        <div class="mb-3 z-depth-7 pics animation {{ item.section |join(' ')}} all">
          <img class="img-fluid wow fadeIn" src="{{ item.src }}.jpg" alt="Card image cap">
        </div>
      </a>
    {% endfor %}
    {% for project in projects %}
      <a href="{{ url_for('project_details', project_name=project.title, project_id=project.id) }}">
        <div class="mb-3 z-depth-7 pics animation {{ project.keywords|map(attribute="name")|map('safe_string')|join(' ') }} all">
          <img class="img-fluid wow fadeIn" src="/static/uploads/{{ project.images[0].image_name }}" alt="Card image cap">
        </div>
      </a>
    {% endfor %}
    </div>
  </div>
</div>


<!-- Showroom -->
<div id="Showroom" class="features-container section-container">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 section-description wow fadeIn">
        <h2>Showroom</h2>
        <div class="divider-1">
          <div class="line"></div>
        </div>
      </div>
    </div>
    <script src='https://code.jquery.com/jquery-1.11.0.min.js'></script>
    <script src='https://api.mapbox.com/mapbox.js/plugins/leaflet-pip/v0.0.2/leaflet-pip.js'></script>
    <div id='map' class="wow fadeIn"></div>
  </div>
</div>


<div id="Contact" class="features-container section-container wow fadeIn">
  <div class="container wow fadeIn">
    <div class="row">
      <div class="col-sm-12 section-description ">
        <h2>Contact</h2>
        <div class="divider-1">
          <div class="line"></div>
        </div>
      </div>
    </div>
  </div>
  <div class="container wow fadeInLeft">
    <div class="row">
      <div class="col-md-3">
      </div>
      <div class="col-sm-2 col-md-2">
          <img src="http://placehold.it/600x500" alt="" class="img-rounded img-responsive" />
      </div>
      <div class="col-md-4">
        <h4>Antoine Dupuy</h4>
        <small>
          <cite title="Aix-Les-Bains, Savoie">
            Aix-Les-Bains, Savoie<i class="glyphicon glyphicon-map-marker"></i>
          </cite>
        </small>
        <a href="https://www.facebook.com/La-Belle-Soudure-389957151746716/" class="fa fa-facebook"></a>
        <div>
          <i>Petite description</i>
        </div>
          <a href="#Contact" onclick="sendMail();" id="mailbutton">dupuy.soudure@gmail.com</a>
        </div>
      </div>
    </div>
  </div>

  <div class="divider-1 wow fadeIn">
    <div class="line"></div>
  </div>

  <div class="container wow fadeInRight">
    <div class="row">
      <div class="col-md-3">
      </div>
      <div class="col-md-4">
        <h4>Cédric Pelegrin</h4>
        <small>
          <cite title="Aix-Les-Bains, Savoie">
            Aix-Les-Bains, Savoie<i class="glyphicon glyphicon-map-marker"></i>
          </cite>
        </small>
        <a href="https://www.facebook.com/La-Belle-Soudure-389957151746716/" class="fa fa-facebook"></a>
        <div>
          <i>Petite description</i>
        </div>
          <a href="#Contact" onclick="sendMail();" id="mailbutton">dupuy.soudure@gmail.com</a>
        </div>
      <div class="col-md-2">
          <img src="http://placehold.it/600x500" alt="" class="img-rounded img-responsive" />
      </div>
      </div>
    </div>
  </div>

  <br>
  <br>
  <br>

  <div class="divider-1 wow fadeIn">
    <div class="line"></div>
  </div>

  <div class="container wow fadeInLeft">
    <div class="row">
    <div class="col-md-3">
    </div>
    <div class="col-sm-2 col-md-2">
        <img src="http://placehold.it/600x500" alt="" class="img-rounded img-responsive" />
    </div>
    <div class="col-md-4">
      <h4>Axel Grisart</h4>
      <small>
        <cite title="Aix-Les-Bains, Savoie">
          Aix-Les-Bains, Savoie<i class="glyphicon glyphicon-map-marker"></i>
        </cite>
      </small>
      <a href="https://www.facebook.com/La-Belle-Soudure-389957151746716/" class="fa fa-facebook"></a>
      <div>
        <i>Petite description</i>
      </div>
        <a href="#Contact" onclick="sendMail();" id="mailbutton">toto.soudure@gmail.com</a>
      </div>
    </div>
  </div>

</div>
<br>
{% endblock %}
<!-- Footer -->
<footer>
  <div class="container">
    <div class="row">
      <div class="col-sm-12 footer-copyright">
        &copy; La Belle Soudure &amp;Co <a href="#home">Accueil</a>
      </div>
    </div>
  </div>
</footer>

{% block javascript %}
<script src="static/js/index.js"></script>
<script>
function sendMail() {
  console.log(this.event)
  window.location = "mailto:test@example.com," + this.event.target.innerHTML + "?subject=Demande%20de%20Contact&cci=null@mozilla.com";
}
</script>
{% endblock %}